Index: content/digarden/logseq/config.edn
===================================================================
--- content/digarden/logseq/config.edn	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
+++ content/digarden/logseq/config.edn	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
@@ -0,0 +1,350 @@
+{:meta/version 1
+
+ ;; Currently, we support either "Markdown" or "Org".
+ ;; This can overwrite your global preference so that
+ ;; maybe your personal preferred format is Org but you'd
+ ;; need to use Markdown for some projects.
+ ;; :preferred-format ""
+
+ ;; Preferred workflow style.
+ ;; Value is either ":now" for NOW/LATER style,
+ ;; or ":todo" for TODO/DOING style.
+ :preferred-workflow :todo
+
+ ;; The app will ignore those directories or files.
+ ;; E.g. :hidden ["/archived" "/test.md" "../assets/archived"]
+ :hidden []
+
+ ;; When creating the new journal page, the app will use your template if there is one.
+ ;; You only need to input your template name here.
+ :default-templates
+ {:journals ""}
+
+ ;; Set a custom date format for journal page title
+ ;; Example:
+ ;; :journal/page-title-format "EEE, do MMM yyyy"
+
+ ;; Whether to enable hover on tooltip preview feature
+ ;; Default is true, you can also toggle this via setting page
+ :ui/enable-tooltip? true
+
+ ;; Show brackets around page references
+ ;; :ui/show-brackets? true
+
+ ;; Enable showing the body of blocks when referencing them.
+ :ui/show-full-blocks? false
+
+ ;; Expand block references automatically when zoom-in
+ :ui/auto-expand-block-refs? true
+
+ ;; Enable Block timestamp
+ :feature/enable-block-timestamps? false
+
+ ;; Enable remove accents when searching.
+ ;; After toggle this option, please remember to rebuild your search index by press (cmd+c cmd+s).
+ :feature/enable-search-remove-accents? true
+
+ ;; Enable journals
+ ;; :feature/enable-journals? true
+
+ ;; Enable flashcards
+ ;; :feature/enable-flashcards? true
+
+ ;; Enable Whiteboards
+ ;; :feature/enable-whiteboards? true
+
+ ;; Disable the built-in Scheduled tasks and deadlines query
+ ;; :feature/disable-scheduled-and-deadline-query? true
+
+ ;; Specify the number of days in the future to display in the
+ ;; scheduled tasks and deadlines query, with a default value of 0 which
+ ;; only displays tasks for today.
+ ;; Example usage:
+ ;; Display all scheduled tasks and deadlines in the next 7 days
+ ;; :scheduled/future-days 7
+
+ ;; Specify the date on which the week starts.
+ ;; Goes from 0 to 6 (Monday to Sunday), default to 6
+ :start-of-week 6
+
+ ;; Specify a custom CSS import
+ ;; This option take precedence over your local `logseq/custom.css` file
+ ;; You may find a list of awesome logseq themes here:
+ ;; https://github.com/logseq/awesome-logseq#css-themes
+ ;; Example:
+ ;; :custom-css-url "@import url('https://cdn.jsdelivr.net/gh/dracula/logseq@master/custom.css');"
+
+ ;; Specify a custom js import
+ ;; This option take precedence over your local `logseq/custom.js` file
+ ;; :custom-js-url ""
+
+ ;; Set a custom Arweave gateway
+ ;; Default gateway: https://arweave.net
+ ;; :arweave/gateway ""
+
+ ;; Set Bullet indentation when exporting
+ ;; default option: tab
+ ;; Possible options are for `:sidebar` are
+ ;; 1. `:eight-spaces` as eight spaces
+ ;; 2. `:four-spaces` as four spaces
+ ;; 3. `:two-spaces` as two spaces
+ ;; :export/bullet-indentation :tab
+
+ ;; When :all-pages-public? true, export repo would export all pages within that repo.
+ ;; Regardless of whether you've set any page to public or not.
+ ;; Example:
+ ;; :publishing/all-pages-public? true
+
+ ;; Specify default home page and sidebar status for Logseq
+ ;; If not specified, Logseq default opens journals page on startup
+ ;; value for `:page` is name of page
+ ;; Possible options for `:sidebar` are
+ ;; 1. `"Contents"` to open up `Contents` in sidebar by default
+ ;; 2. `page name` to open up some page in sidebar
+ ;; 3. Or multiple pages in an array ["Contents" "Page A" "Page B"]
+ ;; If `:sidebar` is not set, sidebar will be hidden
+ ;; Example:
+ ;; 1. Setup page "Changelog" as home page and "Contents" in sidebar
+ ;; :default-home {:page "Changelog", :sidebar "Contents"}
+ ;; 2. Setup page "Jun 3rd, 2021" as home page without sidebar
+ ;; :default-home {:page "Jun 3rd, 2021"}
+ ;; 3. Setup page "home" as home page with multiple pages in sidebar
+ ;; :default-home {:page "home" :sidebar ["page a" "page b"]}
+
+ ;; Tell logseq to use a specific folder in the repo as a default location for notes
+ ;; if not specified, notes are stored in `pages` directory
+ ;; :pages-directory "your-directory"
+
+ ;; Tell logseq to use a specific folder in the repo as a default location for journals
+ ;; if not specified, journals are stored in `journals` directory
+ ;; :journals-directory "your-directory"
+
+ ;; Set this to true will convert
+ ;; `[[Grant Ideas]]` to `[[file:./grant_ideas.org][Grant Ideas]]` for org-mode
+ ;; For more, see https://github.com/logseq/logseq/issues/672
+ ;; :org-mode/insert-file-link? true
+
+ ;; Setup custom shortcuts under `:shortcuts` key
+ ;; Syntax:
+ ;; 1. `+` means keys pressing simultaneously. eg: `ctrl+shift+a`
+ ;; 2. ` ` empty space between keys represents key chords. eg: `t s` means press `t` followed by `s`
+ ;; 3. `mod` means `Ctrl` for Windows/Linux  and `Command` for Mac
+ ;; 4. use `false` to disable particular shortcut
+ ;; 5. you can define multiple bindings for one action, eg `["ctrl+j" "down"]`
+ ;; full list of configurable shortcuts are available below:
+ ;; https://github.com/logseq/logseq/blob/master/src/main/frontend/modules/shortcut/config.cljs
+ ;; Example:
+ ;; :shortcuts
+ ;; {:editor/new-block       "enter"
+ ;;  :editor/new-line        "shift+enter"
+ ;;  :editor/insert-link     "mod+shift+k"
+ ;;  :editor/highlight       false
+ ;;  :ui/toggle-settings     "t s"
+ ;;  :editor/up              ["ctrl+k" "up"]
+ ;;  :editor/down            ["ctrl+j" "down"]
+ ;;  :editor/left            ["ctrl+h" "left"]
+ ;;  :editor/right           ["ctrl+l" "right"]}
+ :shortcuts {}
+
+ ;; By default, pressing `Enter` in the document mode will create a new line.
+ ;; Set this to `true` so that it's the same behaviour as the usual outliner mode.
+ :shortcut/doc-mode-enter-for-new-block? false
+
+ ;; Block content larger than `block/content-max-length` will not be searchable
+ ;; or editable for performance.
+ :block/content-max-length 10000
+
+ ;; Whether to show command doc on hover
+ :ui/show-command-doc? true
+
+ ;; Whether to show empty bullets for non-document mode (the default mode)
+ :ui/show-empty-bullets? false
+
+ ;; Pre-defined :view function to use with advanced queries
+ :query/views
+ {:pprint
+  (fn [r] [:pre.code (pprint r)])}
+
+ ;; Pre-defined :result-transform function for use with advanced queries
+ :query/result-transforms
+ {:sort-by-priority
+  (fn [result] (sort-by (fn [h] (get h :block/priority "Z")) result))}
+
+ ;; The app will show those queries in today's journal page,
+ ;; the "NOW" query asks the tasks which need to be finished "now",
+ ;; the "NEXT" query asks the future tasks.
+ :default-queries
+ {:journals
+  [{:title "🔨 NOW"
+    :query [:find (pull ?h [*])
+            :in $ ?start ?today
+            :where
+            [?h :block/marker ?marker]
+            [(contains? #{"NOW" "DOING"} ?marker)]
+            [?h :block/page ?p]
+            [?p :block/journal? true]
+            [?p :block/journal-day ?d]
+            [(>= ?d ?start)]
+            [(<= ?d ?today)]]
+    :inputs [:14d :today]
+    :result-transform (fn [result]
+                        (sort-by (fn [h]
+                                   (get h :block/priority "Z")) result))
+    :collapsed? false}
+   {:title "📅 NEXT"
+    :query [:find (pull ?h [*])
+            :in $ ?start ?next
+            :where
+            [?h :block/marker ?marker]
+            [(contains? #{"NOW" "LATER" "TODO"} ?marker)]
+            [?h :block/page ?p]
+            [?p :block/journal? true]
+            [?p :block/journal-day ?d]
+            [(> ?d ?start)]
+            [(< ?d ?next)]]
+    :inputs [:today :7d-after]
+    :collapsed? false}]}
+
+ ;; Add your own commands to slash menu to speedup.
+ ;; E.g.
+ ;; :commands
+ ;; [
+ ;; ["js" "Javascript"]
+ ;; ["md" "Markdown"]
+ ;; ]
+ :commands
+ []
+
+ ;; By default, a block can only be collapsed if it has some children.
+ ;; `:outliner/block-title-collapse-enabled? true` enables a block with a title
+ ;; (multiple lines) can be collapsed too. For example:
+ ;; - block title
+ ;;   block content
+ :outliner/block-title-collapse-enabled? false
+
+ ;; Macros replace texts and will make you more productive.
+ ;; For example:
+ ;; Change the :macros value below to:
+ ;; {"poem" "Rose is $1, violet's $2. Life's ordered: Org assists you."}
+ ;; input "{{poem red,blue}}"
+ ;; becomes
+ ;; Rose is red, violet's blue. Life's ordered: Org assists you.
+ :macros {}
+
+ ;; The default level to be opened for the linked references.
+ ;; For example, if we have some example blocks like this:
+ ;; - a [[page]] (level 1)
+ ;;   - b        (level 2)
+ ;;     - c      (level 3)
+ ;;       - d    (level 4)
+ ;;
+ ;; With the default value of level 2, `b` will be collapsed.
+ ;; If we set the level's value to 3, `b` will be opened and `c` will be collapsed.
+ :ref/default-open-blocks-level 2
+
+ :ref/linked-references-collapsed-threshold 50
+
+ ;; Favorites to list on the left sidebar
+ :favorites []
+
+ ;; any number between 0 and 1 (the greater it is the faster the changes of the next-interval of card reviews) (default 0.5)
+ ;; :srs/learning-fraction 0.5
+
+ ;; the initial interval after the first successful review of a card (default 4)
+ ;; :srs/initial-interval 4
+
+ ;; hide specific properties for blocks
+ ;; E.g. :block-hidden-properties #{:created-at :updated-at}
+ ;; :block-hidden-properties #{}
+
+ ;; Enable all your properties to have corresponding pages
+ :property-pages/enabled? true
+
+ ;; Properties to exclude from having property pages
+ ;; E.g.:property-pages/excludelist #{:duration :author}
+ ;; :property-pages/excludelist
+
+ ;; By default, property value separated by commas will not be treated as
+ ;; page references. You can add properties to enable it.
+ ;; E.g. :property/separated-by-commas #{:alias :tags}
+ ;; :property/separated-by-commas #{}
+
+ ;; Properties that are ignored when parsing property values for references
+ ;; :ignored-page-references-keywords #{:author :startup}
+
+ ;; logbook setup
+ ;; :logbook/settings
+ ;; {:with-second-support? false ;limit logbook to minutes, seconds will be eliminated
+ ;;  :enabled-in-all-blocks true ;display logbook in all blocks after timetracking
+ ;;  :enabled-in-timestamped-blocks false ;don't display logbook at all
+ ;; }
+
+ ;; Mobile photo uploading setup
+ ;; :mobile/photo
+ ;; {:allow-editing? true
+ ;;  :quality          80}
+
+ ;; Mobile features options
+ ;; Gestures
+ ;; :mobile
+ ;; {:gestures/disabled-in-block-with-tags ["kanban"]}
+
+ ;; Extra CodeMirror options
+ ;; See https://codemirror.net/5/doc/manual.html#config for possible options
+ ;; :editor/extra-codemirror-options {:keyMap "emacs" :lineWrapping true}
+
+ ;; Enable logical outdenting
+ ;; :editor/logical-outdenting? true
+
+ ;; When both text and a file are in the clipboard, paste the file
+ ;; :editor/preferred-pasting-file? true
+
+ ;; Quick capture templates for receiving contents from other apps.
+ ;; Each template contains three elements {time}, {text} and {url}, which can be auto-expanded
+ ;; by received contents from other apps. Note: the {} cannot be omitted.
+ ;; - {time}: capture time
+ ;; - {date}: capture date using current date format, use `[[{date}]]` to get a page reference
+ ;; - {text}: text that users selected before sharing.
+ ;; - {url}: url or assets path for media files stored in Logseq.
+ ;; You can also reorder them, or even only use one or two of them in the template.
+ ;; You can also insert or format any text in the template as shown in the following examples.
+ ;; :quick-capture-templates
+ ;; {:text "[[quick capture]] **{time}**: {text} from {url}"
+ ;;  :media "[[quick capture]] **{time}**: {url}"}
+
+ ;; Quick capture options
+ ;; :quick-capture-options {:insert-today? false :redirect-page? false :default-page "my page"}
+
+ ;; File sync options
+ ;; Ignore these files when syncing, regexp is supported.
+ ;; :file-sync/ignore-files []
+
+ ;; dwim (do what I mean) for Enter key when editing.
+ ;; Context-awareness of Enter key makes editing more easily
+ ; :dwim/settings {
+ ;   :admonition&src?  true
+ ;   :markup?          false
+ ;   :block-ref?       true
+ ;   :page-ref?        true
+ ;   :properties?      true
+ ;   :list?            true
+ ; }
+
+ ;; Decide the way to escape the special characters in the page title.
+ ;; Warning:
+ ;;   This is a dangerous operation. If you want to change the setting,
+ ;;   should access the setting `Filename format` and follow the instructions.
+ ;;   Or you have to rename all the affected files manually then re-index on all
+ ;;   clients after the files are synced. Wrong handling may cause page titles
+ ;;   containing special characters to be messy.
+ ;; Available values:
+ ;;   :file/name-format :triple-lowbar
+ ;;     ;use triple underscore `___` for slash `/` in page title
+ ;;     ;use Percent-encoding for other invalid characters
+ :file/name-format :triple-lowbar
+ :preferred-format :org
+
+ ;; specify the format of the filename for journal files
+ ;; :journal/file-name-format "yyyy_MM_dd"
+
+ }
Index: content/en/posts/dev-anarchism.org
===================================================================
--- content/en/posts/dev-anarchism.org	(revision 7dad22ea85e0e90be9896413ffc56a9bab16113d)
+++ content/en/posts/dev-anarchism.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
@@ -5,7 +5,7 @@
 * Why libre software development is not an anarchism
 #+BEGIN_abstract
-This short article is dedicated to explaining, why anarchism is not so
-revelant when we talk about libre software development. You might find
-some comments on the internet where people comparing free software to
+This article is dedicated to explaining why anarchism is not so relevant
+when we talk about libre software development. You might find some
+comments on the internet where people compare free software to
 "communism ideologies". They share some common points, but they are not
 true in general.
@@ -13,83 +13,162 @@
 
 ** What is anarchism
-We are not interested in a whole anarchist movement, but few crucial
-characteristics of that movement ([[https://en.wikipedia.org/wiki/Anarcho-communism][ancom]] to be precise):
-- Anarchism is about equal rights of everyone. There is no hierarchy of
-  classes, noone can rule the other, there is no state.
+We are interested in a few crucial characteristics of the anarchist
+movement [fn:anarchism-type]:
+- Anarchism is about the equal rights of everyone. There is no hierarchy
+  of classes, no one can rule the other and there is no state.
 - Because everyone is equal there is no property, everything is
   collective and freely available to everyone
 - Anarchism is about helping each other instead of competing
-- Anarchism is about decisionmaking process. Instead of bosses/owners or
-  different sort of democracy processes, anarchists propose making
-  different desicions by a consensus. Consensus means that desicion will
-  be applied only if everyone voted "yes" for it, one "no" is enough to
-  not doing something.
+- Anarchism is about the decision-making process. Instead of
+  bosses/owners making decicions or different sorts of democratic
+  processes, anarchists propose decision-making by a
+  [[https://en.wikipedia.org/wiki/Wikipedia:What_is_consensus][consensus]]. Consensus means that decision will be applied only if
+  everyone voted "yes" for it, one "no" is enough to stop the voting and
+  discussing process.
 
-I have used only points that needed next in the article. Anarchism is
-deep and old movement and I'm not so involved in it, but I do share its
-ideals in general. 
+I have used only points that are needed next in the article. Anarchism
+is deep and old movement and I don't provide all details of it in this
+article.
+
+[[../../public/images/BlackGnu.png]]
 
 To learn more about anarchism you can read [[https://theanarchistlibrary.org/library/the-anarchist-faq-editorial-collective-an-anarchist-faq-full][An Anarchist FAQ]] by
-installing it on debian-based systems by:
+installing it on Debian-based systems:
 
 #+begin_src bash
-  apt install anarchism
+  sudo apt install anarchism
 #+end_src
 
 ** Common
-- Libre software projects are trying to be self organized
+- Libre software projects are self-organized
 - Libre software projects are against copyright (intellectual property)
 - Libre software projects can be cloned by anyone and anyone can
-  contribute in it, so everyone can be involved (so it belongs to everyone)
-- Some projects are trying to be decentralized by using federated communications (so noone owns infrastructure)
+  contribute to it, so everyone can be involved (so it belongs to everyone)
+- Some projects are trying to be decentralized by using federated communications (so no one owns infrastructure)
 
-All those points have a small problems, which we discuss next. Also some
-things are not common at all and differs from anarchism.
+All those points have small problems, which we discuss next.
 
 ** Difference
-What differs intellectual property from physical property is an ability
-to clone the work. In real world you can only transfer the object from
-one person to another. In digital world you can copy the object of
-person #1 to the person #2, so they have two equal objects in total. But
-the problem of property it doesn't remove and even creates more problems.
+What differentiates intellectual property from a physical property is
+the ability to clone the work. In the real world you can only transfer
+an object from one person to another. In digital world you can copy the
+object of person #1 to person #2, so they have two equal objects in
+total. But it doesn't remove the problem of property and even creates
+more problems.
 
 - Copyright :: Free software movement tries to use copyright to defeat
   copyright as intellectual property defense mechanism. That is wrong
-  from anarchist point of view. To defeat copyright you just don't use
-  it or try to minimaze its usage, making it less legitimate. There is
-  Public Domain licenses to note, that you don't want to hold copyright
-  anymore, the only problem here is that such code can be privatized by
-  others.
-- Vertical organization :: Libre software projects is organized
-  vertically, so there is the owner(s) that have more priveleges than
-  others.
+  from the anarchist point of view. To defeat copyright you just don't
+  use it or try to minimize its usage, making it less legitimate. There
+  are [[https://en.wikipedia.org/wiki/Public-domain_software][Public Domain]] licenses to note, that you don't want to hold
+  copyright anymore, the only problem here is that such code can be
+  privatized by others.
+  
+- Vertical organization :: Libre software projects are organized
+  vertically, so there is the owner(s) that have more privileges than
+  others. Users directly don't take part in a decision-making process
+  (the owner desides what to do with a project), but everyone can at
+  least clone the code. For example, you can't just push your changes,
+  you wait till main code maintainers will aprove your code.
+
+  Moreover when you write code you use other people work and often there
+  is the situations where you can't be involved in decision-making
+  process of the libs you use. Authors (intellectual right owners) can
+  remove all of their contributions from a software, so everyone else
+  will be forced to rewrite it. For example, such situations happen when
+  the project maintainers try to switch a license and not everyone agree
+  with such desicion or just not available for a contact.
+
 - Private infrastructure :: Those owners might own crucial
   infrastructure, that they don't share to public like the code. Also
-  some projects don't share database data.
+  some projects don't share database data.  
+
 - Centralized infrastructure :: Many infrastructures of libre projects
-  are centralized, so users are forced to be admins / moderators and so
+  are centralized, so users are forced to be admins/moderators and so
   on. Hierarchy partly is used because of that technical limitation.
 
+- Competition over helping :: Because there are not many projects that
+  use consensus for decision-making, you can encounter a situation when
+  someone does not agree with the project direction, so they make a fork
+  of a project. That creates unnecessary competition, you can see it
+  when you try to find a library or free source project and there are
+  many similar variants that already exist.
+
 ** Examples
-- gnu.org :: The project and its website is centralized. There are
-  members, there are anonymous users and there are owners of website and
-  a non-profit company fsf. They decide to do something or not to do not
-  by consensus or even democracy process.
-- Many web-based free software projects.  
-
-** Why anarchism in software development is real in a future
-- You don't need a lot of resources to contribute. Computers are very affordable, programming can be learned by anyone.
-- People are motivated to self-organize horizontally, but we don't have right technology for it yet.
+- gnu.org :: The project and its website are centralized. There are
+  members, there are anonymous users and there are owners of a website
+  and a non-profit company fsf. They decide to do something or not to do
+  not by consensus or even democracy process.
+- [[https://w96k.dev/en/posts/php-review.html][symfony]] :: Many web-based free software projects don't share database
+  information, have ads or other information and shares only
+  maintainer's points of view instead of all devs.
+- 3rd party language implementations vendors :: Oracle, Microsoft, Zend,
+  Google and so on. They have the power over "their" open-source
+  languages like Go, PHP, Java, C#, Typescript and so on. You can
+  contribute, but you don't know which direction will be choosen by
+  owners of the project.
+  
+** Why anarchism in software development is real in the future
+- You don't need a lot of resources to contribute. Computers are very
+  affordable, programming can be learned by anyone. The problem is
+  social organization.
+- People are motivated to self-organize horizontally, but we often don't
+  have right technologies for such organization over the internet.
 
 ** What limitations are on the way
-- Copyleft licenses are weak against illigal corporate usage. Public
+- Copyleft licenses are weak against illegal corporate usage. Public
   domain like licenses can be privatized.
-- Programming language vendor tries to limit a programmer in
-  expressiveness.
+- Programming language vendor (like Oracle, Zend, Microsoft or whatever
+  company that stays behind the language implementation) tries to
+  artificially limit a programmer in expressiveness by not implementing
+  some features.
+- Some limitations are presented by tech-stack we use. For example, C
+  language have no reflection support, you can't understand what is
+  going on in runtime without recompiling something with debugging
+  symbols and using external tools such as GDB.
+
+  Moreover if you want to change ls command and add a new flag, you will
+  need to go through many steps. You will need to clone coreutils repo,
+  find exact command, add your flag, recompile it, install it instead
+  presented coreutils in your systems and somehow maintain it alongside
+  with coreutils updates recompiling it every time. It sucks, but there
+  is a better tech for free software.
+
+  For example, Common Lisp have excellent introspection and reflection
+  tools, so if you use a program you can change anything while it is
+  being running without losing any state. It might be hard to understand
+  if you haven't learned Lisp, I recommend give it a try. [fn:common-lisp]
+- Closed hardware. Even tho hardware became cheap, but understanding of
+  what's going inside became even more complex than before. There is
+  lack of hardware documentation, that usually present for internal use
+  at a company (for example Intel hides processor docs inside their
+  company).
+- Closed software. There is closed bios and technologies such as Intel
+  ME, AMD PSP, closed processors and GPU drivers and other hardware
+  firmare stays closed. If you want to understand how exactly your
+  hardware works, you will encounter different problems.
 
 ** Other articles on a subject
 - [[https://applied-langua.ge/software-and-anarchy.pdf][Software and Anarchy]]
+- [[https://events.ccc.de/congress/2005/fahrplan/attachments/572-SoftwAnarchyShort.pdf][Free Software and Anarchism - does this compute?]]
+  
+** Conclusion
+In general, we can see that free/open software contributors can share
+same ideals, but because of the methods they use as developers, they are
+sticked to the use of plain old vertical organization, when we hold all
+information by ourselves and not trying organize horizontally.
 
-** Conclusion
+Nevertheless many projects try to eliminate vertical organization as
+much as possible and allow anyone to contribute. They tend to have
+strong community, that tries its best to self-organize the developing
+process. Someday we will see totally horizontally way for software
+development.
 
-Remember that I share my personal opinion on the subject and the topic itself is very subjective.
+Even tho we as developers have an ability to do a fork of project, we
+don't have a social mechanism for desicion making to help each other and
+move the project in a common direction instead of competing making
+similar project, but different in one or two details. Most of the
+problems lies in social domain, but some is made by technologies we use.
+
+[fn:anarchism-type: [[https://en.wikipedia.org/wiki/Anarcho-communism][Ancom]] to be precise]
+[fn:common-lisp: [[https://youtube.com/watch?v=6pMyhrDcMzw][REPL power demonstration video]]. You don't need to setup compiler to specially recompile the project, it is built in into the language]
Index: content/sitemap.org
===================================================================
--- content/sitemap.org	(revision 7dad22ea85e0e90be9896413ffc56a9bab16113d)
+++ content/sitemap.org	(revision d1d01c6cd750248f95c1c5197ecce27a12560f9b)
@@ -1,15 +1,15 @@
 #+TITLE: @w96k
 
+- [[file:404.org][404: Page not found]]
 - [[file:about.org][About website]]
+- [[file:articles.org][@w96k: Articles]]
 - [[file:cv.org][CV]]
-- [[file:404.org][404: Page not found]]
-- [[file:articles.org][@w96k: Articles]]
+- [[file:legal.org][@w96k: Legal Information]]
 - [[file:guix.org][@w96k: GNU Guix]]
-- [[file:legal.org][Правовая информация]]
 - [[file:index.org][@w96k]]
+- [[file:music.org][@w96k: Music]]
+- [[file:donate.org][@w96k: Donations]]
 - [[file:emacs.org][Конфигурация GNU Emacs]]
-- [[file:music.org][@w96k: Music]]
 - [[file:projects.org][@w96k: Projects]]
-- [[file:donate.org][@w96k: Donations]]
 - posts
   - [[file:posts/libreboot-x200t.org][Обзор Lenovo Thinkpad X200T с Libreboot]]
